<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------
| Event Calendar Infusion v1.00
|  Giuseppe Nichelini (nick56) 2004
| http://www.nichelini.it
| giuseppe@nichelini.it
---------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."cpg/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."cpg/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."cpg/locale/English.php";
}

$set_result = dbquery("SELECT * FROM ".DB_PREFIX."ssi_vars where ssi_title='cpg' and ssi_var='path'" );
$set_path = dbarray($set_result);
if (!$set_path['ssi_var_val']){
	$result = dbquery("INSERT INTO ".DB_PREFIX."ssi_vars( `ssi_id` , `ssi_title` , `ssi_var` , `ssi_var_val` ) VALUES (NULL , 'cpg', 'path', 'http://www.yoursite.com/cpg')");
	$set_result = dbquery("SELECT * FROM ".DB_PREFIX."ssi_vars where ssi_title='cpg' and ssi_var='path'" );
	$set_path = dbarray($set_result);
}

$set_result = dbquery("SELECT * FROM ".DB_PREFIX."ssi_vars where ssi_title='cpg' and ssi_var='db'" );
$set_db = dbarray($set_result);
if (!$set_db['ssi_var_val']){
	$result = dbquery("INSERT INTO ".DB_PREFIX."ssi_vars( `ssi_id` , `ssi_title` , `ssi_var` , `ssi_var_val` ) VALUES (NULL , 'cpg', 'db', 'Coppermine')");
	$set_result = dbquery("SELECT * FROM ".DB_PREFIX."ssi_vars where ssi_title='cpg' and ssi_var='db'" );
	$set_db = dbarray($set_result);
}

$set_result = dbquery("SELECT * FROM ".DB_PREFIX."ssi_vars where ssi_title='cpg' and ssi_var='prefix'" );
$set_prefix = dbarray($set_result);
if (!$set_prefix['ssi_var_val']){
	$result = dbquery("INSERT INTO ".DB_PREFIX."ssi_vars( `ssi_id` , `ssi_title` , `ssi_var` , `ssi_var_val` ) VALUES (NULL , 'cpg', 'prefix', 'cpg148')");
	$set_result = dbquery("SELECT * FROM ".DB_PREFIX."ssi_vars where ssi_title='cpg' and ssi_var='prefix'" );
	$set_prefix = dbarray($set_result);
}


openside ($locale['fm200']);
if (isset($_POST['save'])) {
	$path = $_POST['path'];
	$result = dbquery("UPDATE ".DB_PREFIX."ssi_vars SET ssi_var_val='$path' WHERE ssi_var='path'and ssi_title='cpg'");

	$db = $_POST['db'];
	$result = dbquery("UPDATE ".DB_PREFIX."ssi_vars SET ssi_var_val='$db' WHERE ssi_var='db'and ssi_title='cpg'");

	$prefix = $_POST['prefix'];
	$result = dbquery("UPDATE ".DB_PREFIX."ssi_vars SET ssi_var_val='$prefix' WHERE ssi_var='prefix'and ssi_title='cpg'");


	redirect (FUSION_SELF.'?action=save');
} else {
	echo ($action=='save'?'<center><b>'.$locale['fm201'].'</b></center><br  /><br  />':'');
	echo "<form action='".FUSION_SELF."' method='post'>";

	echo $locale['fm202']." <input name='path' type='text' value='".$set_path['ssi_var_val']."' class='textbox' style='width:600px'><br><br>";

	echo $locale['fm300']." <input name='db' type='text' value='".$set_db['ssi_var_val']."' class='textbox' style='width:600px'><br><br>";
	echo $locale['fm301']." <input name='prefix' type='text' value='".$set_prefix['ssi_var_val']."' class='textbox' style='width:600px'><br><br>";
	

	echo "<center><input type='submit' name='save' value='".$locale['fm203']."' class='button' style='width:200px'></center><br>";
	echo "</form>";
}
closeside();

require_once BASEDIR."footer.php";
?>